BuildRequires: /proc
BuildRequires: jpackage-1.5-compat
# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define name		ibatis
%define version		2.1.7
%define release		3jpp


Name:		%{name}
Summary:	iBATIS SQL Maps and DAO Frameworks
Url:		http://www.ibatis.com/
Version:	%{version}
Release:	alt1_3jpp1.7
Epoch:		0
License:	Apache Software License 2
Group:		Databases
BuildArch:	noarch
Source0:	ibatis-2.1.7-src.tar.gz
# svn export http://svn.apache.org/repos/asf/ibatis/tags/java_release_2.1.7-597/java/mapper/mapper2/
Source1:	ibatis-2.1.7-ibatis1-src.tar

Patch0:		ibatis-2.1.7-build_xml.patch

BuildRequires: jpackage-utils >= 0:1.6
BuildRequires: ant >= 0:1.6
BuildRequires: junit
BuildRequires: emma
BuildRequires: cglib
BuildRequires: db-ojb >= 0:1.0.1
BuildRequires: hsqldb
BuildRequires: jakarta-commons-dbcp
BuildRequires: jakarta-commons-lang
BuildRequires: jakarta-commons-logging
BuildRequires: jta
BuildRequires: log4j


%description
iBATIS SQL Maps provides a very simple and flexible means 
of moving data between your Java objects and a relational 
database. Use the full power of real SQL without a single 
line of JDBC code!
iBATIS DAO is an abstraction layer that hides the details 
of your persistence solution and provides a common API to 
the rest of your application.

%package toplink-stubs
Summary:	Oracle Toplink Stubs from %{name}
Group:		Databases

%description toplink-stubs
%{summary}.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}-src
pushd src
	tar xf %{SOURCE1}
popd
find . -name "*.jar" -exec rm -f {} \;
#for j in $(find . -name "*.jar"); do
#    mv $j $j.no
#done

%patch0 -b .sav

%build
pushd devlib
#ant.jar.no
#
#cglib-full-2.0.jar.no
ln -sf $(build-classpath cglib-nodep) .
#commons-dbcp-1-1.jar.no
ln -sf $(build-classpath commons-dbcp) .
#commons-lang-2.0.jar.no
ln -sf $(build-classpath commons-lang) .
#commons-logging-1-0-3.jar.no
ln -sf $(build-classpath commons-logging) .
#db-ojb-1.0.0.jar.no
ln -sf $(build-classpath db-ojb/db-ojb) .
#emma_ant.jar.no
ln -sf $(build-classpath emma_ant) .
#emma.jar.no
ln -sf $(build-classpath emma) .
#hsqldb.jar.no
ln -sf $(build-classpath hsqldb) .
#ibatis-dao-1-3-1.jar.no
#
#jta-1-0-1a.jar.no
ln -sf $(build-classpath jta) .
#junit.jar.no
ln -sf $(build-classpath junit) .
#log4j-1.2.8.jar.no
ln -sf $(build-classpath log4j) .
#optional.jar.no
#
popd

pushd build
ant src.compile test.report src.javadoc deploy.zipfile -Dant.build.javac.source=1.4 -Dant.build.javac.target=1.4 
pushd work/classes
jar cf ../../%{name}-toplink-stubs.jar oracle
popd
popd

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}

install -m 644 build/%{name}-toplink-stubs.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-toplink-stubs-%{version}.jar
install -m 644 build/exploded/lib/%{name}-common-2.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-common-%{version}.jar
install -m 644 build/exploded/lib/%{name}-dao-2.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-dao-%{version}.jar
install -m 644 build/exploded/lib/%{name}-sqlmap-2.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-sqlmap-%{version}.jar
install -m 644 build/exploded/lib/1-x-Compatibility/%{name}-sqlmap-1-x.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-sqlmap-1-x-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/work/javadocs/dev $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/work/javadocs/user $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%{_javadir}/%{name}-common*.jar
%{_javadir}/%{name}-dao*.jar
%{_javadir}/%{name}-sqlmap*.jar
%doc doc/license.txt

%files toplink-stubs
%{_javadir}/%{name}-toplink-stubs*.jar
%doc devsrc/oracle/what_is_this.txt

%files javadoc
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Mon Oct 29 2007 Igor Vlasenko <viy@altlinux.ru> 0:2.1.7-alt1_3jpp1.7
- converted from JPackage by jppimport script

